Mailinglist Archive: opensuse-packaging (47 mails)

< Previous Next >
Re: [opensuse-packaging] klamav-0.42-54.1 in both repo-oss and updates
  • From: "Christian Morales Vega" <cmorve69@xxxxxxxx>
  • Date: Sun, 21 Sep 2008 13:02:15 +0200
  • Message-id: <8235e6f40809210402t7f7eb463ped39e774236e513c@xxxxxxxxxxxxxx>
2008/9/21 Marcus Meissner <meissner@xxxxxxx>:
On Sun, Sep 21, 2008 at 11:56:45AM +0200, Christian Morales Vega wrote:
See
http://forums.opensuse.org/applications/395155-zypper-yast-package-update-problem.html

The thing is that there exists a klamav official update, that links
against a clamav with a new soname, with the same version and release
number than the original version.
$ rpm -qRp
"http://download.opensuse.org/distribution/11.0/repo/oss/suse/x86_64/klamav-0.42-54.1.x86_64.rpm";
| grep clamav
libclamav.so.4()(64bit)
libclamav.so.4(CLAMAV_PUBLIC)(64bit)
$ rpm -qRp
"http://download.opensuse.org/update/11.0/rpm/x86_64/klamav-0.42-54.1.x86_64.rpm";
| grep clamav
libclamav.so.5()(64bit)
libclamav.so.5(CLAMAV_PUBLIC)(64bit)

Before opening a bug... this is just wrong, true?

We have released updates with recompiled klamav for this already.

Occasionally clamav does bump the SO version, we usually release
klamav and sylpheed-claws / claws-mail with it.

OK, I just tested and the update works correctly.
I though ZYpp perhaps could have problems with an update that doesn't
has a higher release number than the original package.
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups